public class UE7Aufgabe53 {

	public static void main(String[] args) {
		String dateiname = IO.readString("Dateiname: ");
		char[][] wolken = IO.readFileAsCharMatrix(dateiname);
		if (wolken == null) {
			System.out.println("Fehlerhafte Datei: " + dateiname);
			return;
		}

		System.out.println("Es regnet auf folgenden Kacheln: ");

		while (!simulationsEnde(wolken)) {
			char[][] neueWolken = new char[wolken.length][wolken[0].length];
			for (int r = 0; r < wolken.length; r++) {
				for (int s = 0; s < wolken[r].length; s++) {
					if (wolken[r][s] == 'W') {
						erzeugeWolke('W', r + 2, s, neueWolken);
					} else if (wolken[r][s] == 'w') {
						erzeugeWolke('w', r, s + 3, neueWolken);
					}
				}
			}
			wolken = neueWolken;
		}

	}

	static boolean simulationsEnde(char[][] wolken) {
		for (int r = 0; r < wolken.length; r++) {
			for (int s = 0; s < wolken[r].length; s++) {
				if (wolken[r][s] == 'W' || wolken[r][s] == 'w') {
					return false; // noch Wolken da
				}
			}
		}
		return true; // keine Wolken mehr da
	}

	static void erzeugeWolke(char wolke, int r, int s, char[][] neueWolken) {
		if (r >= neueWolken.length || s >= neueWolken[0].length) {
			return; // ausserhalb von Rechtakien
		}
		if (neueWolken[r][s] != 0) { // schon eine Wolke da
			System.out.println(s + "/" + r); // es regnet
			neueWolken[r][s] = 0; // aufgeloest
		} else {
			neueWolken[r][s] = wolke; // erste Wolke auf Kachel
		}
	}

}
