

public class UE7Aufgabe69 {

	static void printGeneration(boolean[] generation, int nummer) {
		System.out.print("Generation " + nummer + ": ");
		for (int i = 0; i < generation.length; i++) {
			if (generation[i]) {
				System.out.print("#");
			} else {
				System.out.print("_");
			}
		}
		System.out.println();
	}

	static boolean[] ueberfuehreGeneration(boolean[] generation) {
		boolean[] naechsteGeneration = new boolean[generation.length];
		for (int i = 0; i < generation.length; i++) {

			// berechne Anzahl an lebendigen Nachbarn
			int nachbarn = 0;
			if (i == 0) {// links
				nachbarn = generation[1] ? 1 : 0;
			} else if (i == generation.length - 1) {// rechts
				nachbarn = generation[i - 1] ? 1 : 0;
			} else {// Mitte
				if (generation[i - 1]) {
					nachbarn++;
				}
				if (generation[i + 1]) {
					nachbarn++;
				}

			}

			// berechne und setze neuen Zustand der Zelle
			if (nachbarn == 0) {// stirbt oder bleibt tot ohne Nachbarn
				naechsteGeneration[i] = false;
			} else if (nachbarn == 1) {// bleibt mit einem Nachbarn
				naechsteGeneration[i] = generation[i];
			} else if (nachbarn == 2) {// aendert Zustand mit zwei Nachbarn
				naechsteGeneration[i] = !generation[i];
			}
		}
		return naechsteGeneration;
	}

	// vorgegebenes Programm
	public static void main(String[] args) throws Exception {
		boolean[] generation = { false, true, true, true, false, true, true, false, true, false, true, false, true,
				false, true, false, false, true, false, false };
		final int anzahlSimulationen = 9;
		printGeneration(generation, 0);
		for (int s = 1; s <= anzahlSimulationen; s++) {
			generation = ueberfuehreGeneration(generation);
			printGeneration(generation, s);
		}
	}

}