// https://bwinf.de/fileadmin/user_upload/BwInf/2018/37/1._Runde/Aufgaben/BWINF_37_Aufgaben_WEB.pdf (Aufgabe 3)
public class UE7Aufgabe78 {

	public static void main(String[] args) {
		final int NUMBER_OF_PLAYERS = 3;
		final int NUMBER_OF_LUCKY_NUMBERS = 10;
		final int POOL = 25;

		int[] playerNumbers = new int[NUMBER_OF_PLAYERS];
		for (int i = 0; i < NUMBER_OF_PLAYERS; i++) {
			playerNumbers[i] = IO.readInt("Player " + (i + 1) + "! Your number (1<=n<=1000): ");
			while (playerNumbers[i] < 1 || playerNumbers[i] > 1000) {
				playerNumbers[i] = IO.readInt("Incorrect! Player " + (i + 1) + "! Your number (1<=n<=1000): ");
			}
		}

		int[] luckyNumbers = new int[NUMBER_OF_LUCKY_NUMBERS];
		for (int i = 0; i < NUMBER_OF_LUCKY_NUMBERS; i++) {
			luckyNumbers[i] = (int) (Math.random() * 1000) + 1;
			System.out.println("Lucky number " + (i + 1) + " = " + luckyNumbers[i]);
		}

		for (int p = 0; p < NUMBER_OF_PLAYERS; p++) {
			int minDistance = Math.abs(luckyNumbers[0] - playerNumbers[p]);
			for (int i = 1; i < NUMBER_OF_LUCKY_NUMBERS; i++) {
				int distance = Math.abs(luckyNumbers[i] - playerNumbers[p]);
				if (distance < minDistance) {
					minDistance = distance;
				}
			}
			minDistance = minDistance - POOL;
			if (minDistance < 0) {
				System.out.println("Player " + (p + 1) + "! Lost");
			} else {
				System.out.println("Player " + (p + 1) + "! Benefit = " + minDistance);
			}
		}

	}

}
