class UE7Aufgabe25 {

	static int[] stapel = new int[20];
	static int nextIndex = 0;

	public static void main(String[] args) {

		do {
			char eingabe = eingabe();
			if (eingabe == 'q') {
				break;
			}
			if (zahlEingabe(eingabe)) {
				zahlVerarbeiten(eingabe);
			} else if (operatorEingabe(eingabe)) {
				operatorVerarbeiten(eingabe);
			}
		} while (true);

	}

	static char eingabe() {
		char eingabe = IO.readChar();
		while (!eingabeOk(eingabe)) {
			IO.println("Fehlerhafte Eingabe!");
			eingabe = IO.readChar();
		}
		return eingabe;
	}

	static boolean zahlEingabe(char zeichen) {
		return '0' <= zeichen && zeichen <= '9';
	}

	static boolean operatorEingabe(char zeichen) {
		switch (zeichen) {
		case '+':
		case '-':
		case '*':
		case '/':
		case '%':
			return true;
		default:
			return false;
		}
	}

	static boolean eingabeOk(char zeichen) {
		return zahlEingabe(zeichen) || operatorEingabe(zeichen)
				|| zeichen == 'q';
	}

	static void zahlVerarbeiten(char ziffer) {
		int wert = ziffer - '0';
		if (nextIndex == stapel.length) { // Stapel voll
			System.out.println("Stapel ist voll!");
		} else {
			stapel[nextIndex] = wert;
			nextIndex++;
		}

	}

	static void operatorVerarbeiten(char operator) {
		if (nextIndex < 2) {
			System.out.println("Nicht gengend Operanden auf dem Stapel!");
		} else {
			int ergebnis = 0;
			switch (operator) {
			case '+':
				ergebnis = stapel[nextIndex - 2] + stapel[nextIndex - 1];
				break;
			case '-':
				ergebnis = stapel[nextIndex - 2] - stapel[nextIndex - 1];
				break;
			case '*':
				ergebnis = stapel[nextIndex - 2] * stapel[nextIndex - 1];
				break;
			case '/':
				if (stapel[nextIndex - 1] == 0) {
					System.out.println("Division durch 0 nicht moeglich!");
					return;
				}
				ergebnis = stapel[nextIndex - 2] / stapel[nextIndex - 1];
				break;
			case '%':
				if (stapel[nextIndex - 1] == 0) {
					System.out.println("Restbildung durch 0 nicht moeglich!");
					return;
				}
				ergebnis = stapel[nextIndex - 2] % stapel[nextIndex - 1];
				break;
			}
			stapel[nextIndex - 2] = ergebnis;
			nextIndex = nextIndex - 1;
			System.out.println("--> " + ergebnis);
		}
	}
}
