public class UE7Aufgabe31 {

	public static void main(String[] args) {
		// vermerkt, ob ein Buchstabe bereits einmal (dreimal, fnfmal, ...)
		// ausgegeben wurde
		boolean[] alphabet = new boolean[26];

		// Spielen
		int punkte = 0;
		while (punkte < 10) {
			boolean doppelt = false;
			char buchstabe = generiereBuchstabe();
			if (alphabet[buchstabe - 'a']) {
				doppelt = true;
			}
			alphabet[buchstabe - 'a'] = !alphabet[buchstabe - 'a'];
			
			System.out.println(buchstabe);

			boolean pressed = Util.keyPressed(3);

			// berprfung
			if (doppelt && !pressed || !doppelt && pressed) {

				// Verloren
				System.out.println("Leider verloren!");
				return;
			}

			punkte++;

			// auch ok ist: keine Punkte, wenn Buchstabe nicht doppelt und nicht
			// gedrckt wurde
		}

		// Gewonnen
		System.out.println("Glckwunsch! Gewonnen!");

	}

	static char generiereBuchstabe() {
		return (char) ((int) (Math.random() * 26) + 'a');
	}

}

class Util {

	/**
	 * Blockiert das Programm fr eine bestimmt Zeit und ueberprueft, ob
	 * waehrend dieser Zeit eine Taste gedrueckt wurde.
	 * 
	 * @param secs
	 *            Anzahl an Sekunden, die gewartet werden soll
	 * @return liefert genau dann true, wenn innerhalb von secs-Sekunden eine
	 *         Taste gedrueckt wurde;
	 */
	public static boolean keyPressed(int secs) {
		return true;
	}
}
